solscan logo
Register NowRegister Now

token search

get

https://pro-api.solscan.io/v2.0/token/search

Search for tokens by providing a name, symbol or token address.

QUERY PARAMS

keyword

string

required

Keyword search.

search_mode

string

An option to search tokens with exact match or partially match.

search_by

string

An option to search tokens by address, name, symbol or all of them.

exclude_unverified_token

boolean

Exclude unverified tokens.

sort_by

string

The parameter allows you to specify the field by which the returned list will be sorted.

sort_order

string

The parameter allows you to specify the sort order.

page

number

Page number for pagination.

page_size

number

Number items per page.

RESPONSES

200

OK

Response Body

success

boolean

Status of Api

total

number

The total number of matching results. Maximum retrievable items: 10,000.

address

string

The address of this token

name

string

The name of this token

symbol

string

The symbol of this token

icon

string

The icon of this token

decimals

number

The decimals of this token

price

number

The price of this token in USD

volume_24h

number

The token's trading volume in USD over the last 24 hours

market_cap

number

The market capitalization of this token

market_cap_rank

number

The market capitalization rank of this token

price_change_24h

number

The price change of this token in the last 24 hours

supply

string

The supply of this token

holder

number

The total number of the holders of this token

creator

string

The token's creator

create_tx

string

The transaction that token was created

created_time

number

The Unix epoch time that token was created

first_mint_tx

string

The transaction that token was minted first time

first_mint_time

number

The Unix epoch time that token was minted first time

metadata

object

The metadata of the token

metadata_uri

string

The metadata uri of the token

is_verified

boolean

The verification status

400

Bad Request

Response Body

401

Authentication failed

Response Body

429

Too Many Requests

Response Body

500

Internal Server Error

Response Body

icon

Javascript

icon

Python

icon

Shell

icon

Go

icon

C#

Authorization

Response

Click Try It! to start a request and see the response here!

Response Examples